﻿#language: ru

@IIoT

Функционал: 05_IIoT.01.017 Нормативное время производства

Сценарий: 05_IIoT.01.017 Нормативное время производства сливок
	Дано Я подключаюсь под "Мастер сырцеха"
	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Номенклатура'
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Сливки'       |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Сливки (Номенклатура)'
	И я нажимаю на кнопку 'Нормативное время производства'
	Тогда открылось окно 'Нормативное время производства'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Нормативное время производства интернет вещей (создание)'
	И в поле 'Время, мин' я ввожу текст '30'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Нормативное время производства интернет вещей (создание) *' в течение 20 секунд
	Тогда открылось окно 'Нормативное время производства'
	И Я закрываю окно 'Нормативное время производства'
	Тогда открылось окно 'Сливки (Номенклатура)'
	И Я закрываю окно 'Сливки (Номенклатура)'
	Тогда открылось окно 'Номенклатура'
	И Я закрываю окно 'Номенклатура'

Сценарий: 05_IIoT.01.017 Нормативное время производства сливок
	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Номенклатура'
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Смесь 50%'    |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Смесь 50% (Номенклатура)'
	И я нажимаю на кнопку 'Нормативное время производства'
	Тогда открылось окно 'Нормативное время производства'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Нормативное время производства интернет вещей (создание)'
	И в поле 'Время, мин' я ввожу текст '60'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Нормативное время производства интернет вещей (создание) *' в течение 20 секунд
	Тогда открылось окно 'Нормативное время производства'
	И Я закрываю окно 'Нормативное время производства'
	Тогда открылось окно 'Смесь 50% (Номенклатура)'
	И Я закрываю окно 'Смесь 50% (Номенклатура)'
	Тогда открылось окно 'Номенклатура'
	И Я закрываю окно 'Номенклатура'

Сценарий: 05_IIoT.01.017 Нормативное время производства сливок
	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Номенклатура'
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'   |
		| 'Российский 50%' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Российский 50% (Номенклатура)'
	И я нажимаю на кнопку 'Нормативное время производства'
	Тогда открылось окно 'Нормативное время производства'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Нормативное время производства интернет вещей (создание)'
	И я нажимаю кнопку выбора у поля "Характеристика"
	Тогда открылось окно 'Характеристики номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Варка'        |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Нормативное время производства интернет вещей (создание) *'
	И в поле 'Время, мин' я ввожу текст '240'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Нормативное время производства интернет вещей (создание) *' в течение 20 секунд
	Тогда открылось окно 'Нормативное время производства'
	И Я закрываю окно 'Нормативное время производства'
	Тогда открылось окно 'Российский 50% (Номенклатура)'
	И Я закрываю окно 'Российский 50% (Номенклатура)'
	Тогда открылось окно 'Номенклатура'
	И Я закрываю окно 'Номенклатура'



Сценарий: 05_IIoT.01.017 Закрытие клиента тестирования
	И я закрываю сеанс TESTCLIENT